﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace GqqMvcWeb.Models.Database
{
    /// <summary>
    /// 由于前面设置，类名即为表名
    /// </summary>
    public class enrollment
    {

        public int EnrollmentID { get; set; }

        public int CourseID { get; set; }

        public int StudentID { get; set; }

        [DisplayFormat(DataFormatString = "{0:#.#}", ApplyFormatInEditMode = true, NullDisplayText = "No grade")]
        public decimal? Grade { get; set; }

        public virtual course Course { get; set; }
        public virtual student Student { get; set; }
    }

}