﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Web;

namespace Mvc4Learn.Models
{
    public class Artist
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public virtual int ArtistId { get; set; }

        [Required]
        [Display(Name="艺术家")]
        [MaxLength(50)]
        public virtual string Name { get; set; }
    }
}