﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GqqCodeFirstWithSqlserver.Products
{
    public enum ProductCategory
    {
        Produce,
        Dairy,
        Condiments
    }

    public class Product
    {
        public int Id { get; set; }
        public string ProductName { get; set; }
        public ProductCategory Category { get; set; }
    }

    public class ProductsContext : DbContext
    {
        public DbSet<Product> Products { get; set; }
    }

}
